Bloss Docs

Create a written agreement template

Developers
POST
/brands/{brandId}/onboarding/agreements

Create an agreement template from markdown. Creators sign it once a flow has an agreement task using it (set the task's agreementId in the flow's draft) and the flow is published. PDF agreements are uploaded in the app.

Authorization

bearerAuth onboarding:write
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, onboarding:read, onboarding:signatures, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read, groups:write, videos:write, onboarding:write, sync:write, payouts:write.

Scope: onboarding:write

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length

Request Body

application/json
  1. body
name?string

Default "Creator agreement".

Lengthlength <= 120
markdown?string

Markdown, up to 100,000 characters. Merge fields are filled in for each creator when they sign: {{creator_name}}, {{brand_name}}, {{date}} and {{field:}} (an answer from one of the flow's forms). A flow can only publish an agreement with at least 20 characters.

Lengthlength <= 100000

Response Body

Success.

application/json
  1. response
id*string
name*string
archived*boolean
draft*
publishedVersion*|

The version creators sign now. Null until a flow using it publishes.

curl -X POST 'https://example.com/api/v1/brands/string/onboarding/agreements' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": "string",  "name": "string",  "archived": true,  "draft": {    "format": "text",    "text": "string"  },  "publishedVersion": 0}

Was this page helpful?